/*
 * Copyright(C) 2000 Проект ИОК
 *
 * Этот файл содержит информацию, являющуюся
 * собственностью компании Крипто Про.
 *
 * Любая часть этого файла не может быть скопирована,
 * исправлена, переведена на другие языки,
 * локализована или модифицирована любым способом,
 * откомпилирована, передана по сети с или на
 * любую компьютерную систему без предварительного
 * заключения соглашения с компанией Крипто Про.
 */

/*!
 * \file $RCSfile$
 * \version $Revision: 165177 $
 * \date $Date:: 2017-10-26 13:15:08 +0300#$
 * \author $Author: frolov $
 *
 * \brief Функция получения типа ДСЧ.
 *
 * Проект: интерфейс к датчикам случайных чисел (RNDM).
 *
 * Функция получения типа конкретного ДСЧ по его контексту.
 *
 * Функция: rndm_type
 */

#include "rndm_prj.h" 

 DWORD rndm_type_get(const TSupSysEContext *context, TRndmType *ptype)
{
    const DWORD code = supsys_call(context, RANDOM_FUN_TYPE, ptype);
    if( code == (DWORD)ERROR_NOT_SUPPORTED )
	return ERROR_SUCCESS;
    return code;
}
